package com.gx.obe.server.connection.controller;

import java.util.Date;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gx.obe.server.common.utils.DateUtils;


/**  
 * @Title:  ConnectionController.java   
 * @Package com.gx.obe.server.connection.controller   
 * @Description:    为客户端提供链接判断  
 * @author: XiaoMaPro     
 * @date:   2019年4月25日 下午4:23:18   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
@RestController
@RequestMapping("/connection")
public class ConnectionController { 
	
	@GetMapping("/")
	public String connection(){
		return "OK";
	}

	@GetMapping("/getTime")
	public String getServiceDate() {
		return DateUtils.getTimestampFormat(new Date());
	}
}