package com.gx.obe.server.management.dictionary.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.dictionary.entity.TorrentFile;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface TorrentFileMapper extends BaseMapper<TorrentFile> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeTorrentFileList 
	 */
	Integer updateBatchList (@Param("ObeTorrentFileList") List<TorrentFile> ObeTorrentFileList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeTorrentFileList 
	 */
	Integer insertByBatch (@Param("ObeTorrentFileList")List<TorrentFile> ObeTorrentFileList);
	
	
	 /**
	 * @Description: 获取项目经理所拥有的项目的种子文件
	 * @author mazc
	 * @param userId
	 * @return 
	 */
	List<TorrentFile> getTorrentFileListByManager(@Param("userId") String userId); 

}