package com.gx.obe.server.management.dictionary.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
/**  
 * 
 * @author 
 * @Title: BidOpeningRoom
 * @Package com.gx.obe.server.management.dictionary.entity  
 * @Description:   
 * @author: XiaoMa Pro - myzhichao@163.com
 * @date:   2019-05-13   
 * @version V1.0 
 * @Copyright: 2019 www.msypro.com Inc. All rights reserved. 
 *  
 */

@TableName("obe_bid_opening_room")
public class BidOpeningRoom extends Model<BidOpeningRoom> {
	private static final long serialVersionUID=1L;

    /**
     * 开标室主键
     */
            @TableId("BID_OPENING_ROOM_ID")
                private String id;
    /**
     * 开标室名称
     */
    @TableField("BID_OPENING_ROOM_NAME")
        private String bidOpeningRoomName;
    /**
     * 开标室地址
     */
    @TableField("BID_OPENING_ROOM_ADDRESS")
        private String bidOpeningRoomAddress;
    /**
     * 创建人
     */
    @TableField("CREATE_USER")
        private String createUserId;
    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
        private LocalDateTime createTime;
    /**
     * 使用状态
     */
    @TableField("USE_STATUS")
        private String useStatus;
    /**
     * 修改人
     */
    @TableField("MODIFY_USER")
        private String modifyUserId;
    /**
     * 修改时间
     */
    @TableField("MODIFY_TIME")
        private LocalDateTime modifyTime;

 
    public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getCreateUserId() {
		return createUserId;
	}

	public void setCreateUserId(String createUserId) {
		this.createUserId = createUserId;
	}

	public String getModifyUserId() {
		return modifyUserId;
	}

	public void setModifyUserId(String modifyUserId) {
		this.modifyUserId = modifyUserId;
	}

	public String getBidOpeningRoomName(){
        return bidOpeningRoomName;
        }

        public void setBidOpeningRoomName(String bidOpeningRoomName) {
        this.bidOpeningRoomName = bidOpeningRoomName;
        }

    public String getBidOpeningRoomAddress(){
        return bidOpeningRoomAddress;
        }

        public void setBidOpeningRoomAddress(String bidOpeningRoomAddress) {
        this.bidOpeningRoomAddress = bidOpeningRoomAddress;
        }

 

    public LocalDateTime getCreateTime(){
        return createTime;
        }

        public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
        }

    public String getUseStatus(){
        return useStatus;
        }

        public void setUseStatus(String useStatus) {
        this.useStatus = useStatus;
        }

 
    public LocalDateTime getModifyTime(){
        return modifyTime;
        }

        public void setModifyTime(LocalDateTime modifyTime) {
        this.modifyTime = modifyTime;
        }

    public static final String BID_OPENING_ROOM_ID ="BID_OPENING_ROOM_ID";

    public static final String BID_OPENING_ROOM_NAME ="BID_OPENING_ROOM_NAME";

    public static final String BID_OPENING_ROOM_ADDRESS ="BID_OPENING_ROOM_ADDRESS";

    public static final String CREATE_USER ="CREATE_USER";

    public static final String CREATE_TIME ="CREATE_TIME";

    public static final String USE_STATUS ="USE_STATUS";

    public static final String MODIFY_USER ="MODIFY_USER";

    public static final String MODIFY_TIME ="MODIFY_TIME";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() {
    return "BidOpeningRoom{" +
            ", bidOpeningRoomId=" + id +
            ", bidOpeningRoomName=" + bidOpeningRoomName +
            ", bidOpeningRoomAddress=" + bidOpeningRoomAddress +
            ", createUser=" + createUserId +
            ", createTime=" + createTime +
            ", useStatus=" + useStatus +
            ", modifyUser=" + modifyUserId +
            ", modifyTime=" + modifyTime +
    "}";
    }
    }
