package com.gx.obe.server.management.dictionary.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
/** 
 * @Description: 
 * @author mazc 
 */

@TableName("obe_machine")
public class Machine extends Model<Machine> {
	private static final long serialVersionUID=1L;

    /**
     * 机位主键
     */
	@TableId("MACHINE_ID")
	private String id;
    /**
     * 评标室地址
     */
    @TableField("EVALUATION_ROOM_ID")
        private String evaluationRoomId;
    /**
     * 机位名称
     */
    @TableField("MACHINE_NAME")
        private String machineName;
    /**
     * 机位ip地址
     */
    @TableField("MACHINE_IP")
        private String machineIp;
    /**
     * 机位MAC地址
     */
    @TableField("MACHINE_MAC")
        private String machineMac;
    /**
     * 类型
     */
    @TableField("MACHINE_TYPE")
        private String machineType;
    /**
     * 文件接收服务器端口
     */
    @TableField("MACHINE_PORT")
        private Integer machinePort;
    /**
     * ftp端口
     */
    @TableField("FTP_PORT")
        private Integer ftpPort;
    /**
     * ftp用户
     */
    @TableField("FTP_NAME")
        private String ftpName;
    /**
     * ftp密码
     */
    @TableField("FTP_PWD")
        private String ftpPwd;
    /**
     * 是否使用
     */
    @TableField("USED")
        private String used;
    /**
     * 使用状态
     */
    @TableField("USE_STATUS")
        private String useStatus;


 

    public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getEvaluationRoomId(){
        return evaluationRoomId;
        }

        public void setEvaluationRoomId(String evaluationRoomId) {
        this.evaluationRoomId = evaluationRoomId;
        }

    public String getMachineName(){
        return machineName;
        }

        public void setMachineName(String machineName) {
        this.machineName = machineName;
        }

    public String getMachineIp(){
        return machineIp;
        }

        public void setMachineIp(String machineIp) {
        this.machineIp = machineIp;
        }

    public String getMachineMac(){
        return machineMac;
        }

        public void setMachineMac(String machineMac) {
        this.machineMac = machineMac;
        }

    public String getMachineType(){
        return machineType;
        }

        public void setMachineType(String machineType) {
        this.machineType = machineType;
        }

    public Integer getMachinePort(){
        return machinePort;
        }

        public void setMachinePort(Integer machinePort) {
        this.machinePort = machinePort;
        }

    public Integer getFtpPort(){
        return ftpPort;
        }

        public void setFtpPort(Integer ftpPort) {
        this.ftpPort = ftpPort;
        }

    public String getFtpName(){
        return ftpName;
        }

        public void setFtpName(String ftpName) {
        this.ftpName = ftpName;
        }

    public String getFtpPwd(){
        return ftpPwd;
        }

        public void setFtpPwd(String ftpPwd) {
        this.ftpPwd = ftpPwd;
        }

    public String getUsed(){
        return used;
        }

        public void setUsed(String used) {
        this.used = used;
        }

    public String getUseStatus(){
        return useStatus;
        }

        public void setUseStatus(String useStatus) {
        this.useStatus = useStatus;
        }

    public static final String MACHINE_ID ="MACHINE_ID";

    public static final String EVALUATION_ROOM_ID ="EVALUATION_ROOM_ID";

    public static final String MACHINE_NAME ="MACHINE_NAME";

    public static final String MACHINE_IP ="MACHINE_IP";

    public static final String MACHINE_MAC ="MACHINE_MAC";

    public static final String MACHINE_TYPE ="MACHINE_TYPE";

    public static final String MACHINE_PORT ="MACHINE_PORT";

    public static final String USED ="USED";

    public static final String USE_STATUS ="USE_STATUS";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() {
    return "Machine{" +
            ", id=" + id +
            ", evaluationRoomId=" + evaluationRoomId +
            ", machineName=" + machineName +
            ", machineIp=" + machineIp +
            ", machineMac=" + machineMac +
            ", machineType=" + machineType +
            ", machinePort=" + machinePort +
            ", ftpPort=" + ftpPort +
            ", ftpName=" + ftpName +
            ", ftpPwd=" + ftpPwd +
            ", used=" + used +
            ", useStatus=" + useStatus +
    "}";
    }
    }
