package com.gx.obe.server.management.editprice.service;

import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;
import com.gx.obe.server.management.editprice.entity.EditPriceItemResult;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface EditPriceItemResultService extends IService<EditPriceItemResult> {
 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeEditPriceItemResultList 
	 */
 	Integer updateByBatch (List<EditPriceItemResult> ObeEditPriceItemResultList);
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeEditPriceItemResultList 
	 */
	Integer insertByBatch (List<EditPriceItemResult> ObeEditPriceItemResultList);
	
	/**
	 * @Description: 批量添加更新指定字段
	 * @author mazc
	 * @param editPriceItemResultList
	 * @param attributes
	 * @return 
	 */
	Integer  batchSaveOrUpdate(List<EditPriceItemResult> editPriceItemResultList, String[] attributes);
	
	
	 List<EditPriceItemResult> getEditPriceItemResultList(String tenderId);
}



