package com.gx.obe.server.management.expert.entity;

import java.io.Serializable;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
/** 
 * @Description: 
 * @author mazc 
 */

@TableName("obe_default_factor_result")
public class DefaultFactorResult extends Model<DefaultFactorResult> {
	private static final long serialVersionUID=1L;

    /**
     * 指标结果主键
     */
            @TableId("DEFAULT_FACTOR_RESULT_ID")
                private String defaultFactorResultId;
    /**
     * 项目外键
     */
    @TableField("TENDER_ID")
        private String tenderId;
    /**
     * 投标人外键
     */
    @TableField("SUPPLIER_ID")
        private String supplierId;
    /**
     * 评标步骤外键
     */
    @TableField("STEP_ID")
        private String stepId;
    /**
     * 指标外键
     */
    @TableField("FACTOR_ID")
        private String factorId;
    /**
     * 默认评标结果
     */
    @TableField("EVALUATION_RESULT")
        private String evaluationResult;
    /**
     * 评审得分
     */
    @TableField("EVALUATION_SCORE")
        private BigDecimal evaluationScore;


    public String getDefaultFactorResultId(){
        return defaultFactorResultId;
        }

        public void setDefaultFactorResultId(String defaultFactorResultId) {
        this.defaultFactorResultId = defaultFactorResultId;
        }

    public String getTenderId(){
        return tenderId;
        }

        public void setTenderId(String tenderId) {
        this.tenderId = tenderId;
        }

    public String getSupplierId(){
        return supplierId;
        }

        public void setSupplierId(String supplierId) {
        this.supplierId = supplierId;
        }

    public String getStepId(){
        return stepId;
        }

        public void setStepId(String stepId) {
        this.stepId = stepId;
        }

    public String getFactorId(){
        return factorId;
        }

        public void setFactorId(String factorId) {
        this.factorId = factorId;
        }

    public String getEvaluationResult(){
        return evaluationResult;
        }

        public void setEvaluationResult(String evaluationResult) {
        this.evaluationResult = evaluationResult;
        }

    public BigDecimal getEvaluationScore(){
        return evaluationScore;
        }

        public void setEvaluationScore(BigDecimal evaluationScore) {
        this.evaluationScore = evaluationScore;
        }

    public static final String DEFAULT_FACTOR_RESULT_ID ="DEFAULT_FACTOR_RESULT_ID";

    public static final String TENDER_ID ="TENDER_ID";

    public static final String SUPPLIER_ID ="SUPPLIER_ID";

    public static final String STEP_ID ="STEP_ID";

    public static final String FACTOR_ID ="FACTOR_ID";

    public static final String EVALUATION_RESULT ="EVALUATION_RESULT";

    public static final String EVALUATION_SCORE ="EVALUATION_SCORE";

@Override
protected Serializable pkVal(){
        return this.defaultFactorResultId;
    }

@Override
public String toString() {
    return "DefaultFactorResult{" +
            ", defaultFactorResultId=" + defaultFactorResultId +
            ", tenderId=" + tenderId +
            ", supplierId=" + supplierId +
            ", stepId=" + stepId +
            ", factorId=" + factorId +
            ", evaluationResult=" + evaluationResult +
            ", evaluationScore=" + evaluationScore +
    "}";
    }
    }
