package com.gx.obe.server.management.fileload.controller;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.fileload.entity.VideoFile;
import com.gx.obe.server.management.fileload.service.ObeVideoFileService;
/** 
 * @Description: 
 * @author mazc 
 */
@RestController
@RequestMapping("/videoFile")
public class ObeVideoFileController extends BaseController<ObeVideoFileService,VideoFile>{
	@Autowired
	public ObeVideoFileService videoFileServices;
 
	@PostMapping("/getVideoReportFile")
	public List<VideoFile> getReportFile(String tenderId) {	
		List<VideoFile> list = videoFileServices.getReportFile(tenderId);
		return list;
	}
	@PostMapping("/saveOrUpadte")
	public boolean saveOrUpadte(@RequestBody VideoFile entity){
		return videoFileServices.saveOrUpadte(entity);
	}
}