package com.gx.obe.server.management.fileload.entity;

import java.io.Serializable;


/** 
 * @Description: 文件信息
 * @author mazc 
 */
public class FileInfoEntity implements Serializable {

    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
     * 文件名称
     */
    private String fileName;
        
    /**
     * 文件大小
     */
    private Long fileSize;

    /**
     * 文件Md5值
     */
    private String fileMD5;
    
    
    /**
     * 文件类型
     */
    private String type;

    /**
     *  文件相对路径
     */
    private String location;
    

	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public Long getFileSize() {
		return fileSize;
	}

	public void setFileSize(Long fileSize) {
		this.fileSize = fileSize;
	}

	public String getFileMD5() {
		return fileMD5;
	}

	public void setFileMD5(String fileMD5) {
		this.fileMD5 = fileMD5;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getLocation() {
		return location;
	}

	public void setLocation(String location) {
		this.location = location;
	}

   
    
}
