package com.gx.obe.server.management.im.entity;

import java.io.Serializable;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import lombok.Data;

import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;


import com.baomidou.mybatisplus.annotation.TableName;

/** 
 * @Description: 
 * @author mazc 
 */
@TableName("message_file")
@Data
public class MessageFile extends Model<MessageFile> {

	private static final long serialVersionUID = 1L;

	@TableId("MESSAGE_FILE_ID")
	private String id;
	@TableField("SEND_ID")
	private String sendId;
	@TableField("RECEIVE_ID")
	private String receiveId;
	@TableField("FILE_NAME")
	private String fileName;
	@TableField("SEND_TIME")
	private Date sendTime;
	@TableField("FILE_SIZE")
	private BigDecimal fileSize;
	@TableField("READ_TYPE")
	private String readType;

    public static final String MESSAGE_FILE_ID ="MESSAGE_FILE_ID";
	
    public static final String SEND_ID ="SEND_ID";
	
    public static final String RECEIVE_ID ="RECEIVE_ID";
	
    public static final String FILE_NAME ="FILE_NAME";
	
    public static final String SEND_TIME ="SEND_TIME";
	
    public static final String FILE_SIZE ="FILE_SIZE";
	
    public static final String READ_TYPE ="READ_TYPE";
	
	@Override
	protected Serializable pkVal(){
        return this.id;
    }

}