package com.gx.obe.server.management.project.entity;

import java.io.Serializable;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
/** 
 * @Description: 
 * @author mazc 
 */

@TableName("obe_bill_table_project_result")
public class BillTableProjectResult extends Model<BillTableProjectResult> {
	private static final long serialVersionUID=1L;

    /**
     * 结果主键
     */
            @TableId("RESULT_ID")
                private String id;
    /**
     * 项目ID
     */
    @TableField("TENDER_ID")
        private String tenderId;
    /**
     * 供应商ID
     */
    @TableField("SUPPLIER_ID")
        private String supplierId;
    /**
     * 用户ID
     */
    @TableField("USER_ID")
        private String userId;
    /**
     * 单项工程编号
     */
    @TableField("DX_PROJECT_CODE")
        private String dxProjectCode;
    /**
     * 单位工程编号
     */
    @TableField("DW_PROJECT_CODE")
        private String dwProjectCode;
    /**
     * 清单编码
     */
    @TableField("BILL_CODE")
        private String billCode;
    /**
     * 评审分值
     */
    @TableField("SCORE")
        private BigDecimal score;


   
    public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getTenderId(){
        return tenderId;
        }

        public void setTenderId(String tenderId) {
        this.tenderId = tenderId;
        }

    public String getSupplierId(){
        return supplierId;
        }

        public void setSupplierId(String supplierId) {
        this.supplierId = supplierId;
        }

    public String getUserId(){
        return userId;
        }

        public void setUserId(String userId) {
        this.userId = userId;
        }

    public String getDxProjectCode(){
        return dxProjectCode;
        }

        public void setDxProjectCode(String dxProjectCode) {
        this.dxProjectCode = dxProjectCode;
        }

    public String getDwProjectCode(){
        return dwProjectCode;
        }

        public void setDwProjectCode(String dwProjectCode) {
        this.dwProjectCode = dwProjectCode;
        }

    public String getBillCode(){
        return billCode;
        }

        public void setBillCode(String billCode) {
        this.billCode = billCode;
        }

    public BigDecimal getScore(){
        return score;
        }

        public void setScore(BigDecimal score) {
        this.score = score;
        }

    public static final String RESULT_ID ="RESULT_ID";

    public static final String TENDER_ID ="TENDER_ID";

    public static final String SUPPLIER_ID ="SUPPLIER_ID";

    public static final String USER_ID ="USER_ID";

    public static final String DX_PROJECT_CODE ="DX_PROJECT_CODE";

    public static final String DW_PROJECT_CODE ="DW_PROJECT_CODE";

    public static final String BILL_CODE ="BILL_CODE";

    public static final String SCORE ="SCORE";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() {
    return "BillTableProjectResult{" +
            ", id=" + id +
            ", tenderId=" + tenderId +
            ", supplierId=" + supplierId +
            ", userId=" + userId +
            ", dxProjectCode=" + dxProjectCode +
            ", dwProjectCode=" + dwProjectCode +
            ", billCode=" + billCode +
            ", score=" + score +
    "}";
    }
    }
