package com.gx.obe.server.management.scancode.entity;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor 
public class RequestHeader implements Serializable {
	private static final long serialVersionUID = 2130956739235298067L;

	/**
	 * 成功
	 */
	public static final int SUCCESS = 0;

	/**
	 * 失败
	 */
	public static final int FAIL = 1;

	/**
	 *  返回消息体
	 */
	private String msg;

	/**
	 * 0为成功, 1为失败”
	 */
	private int ret;

}
