package com.gx.obe.server.management.scancode.entity;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor 
public class ScanCodeUserInfo implements Serializable{
 	/**
	 * 
	 */
	private static final long serialVersionUID = 140933191924419732L;
	/**
	 * 事件id
	 */
	private String tId;
	/**
	 * 用户姓名
	 */
	private String personName;
	/**
	 * 手机号码
	 */
	private String telephoneNum;
	/**
	 * 身份证号
	 */
	private	String idCard;
	/**
	 * CA证书Id/序列号
	 */
	private String certSn;
	/**
	 * CA机构类型编码
	 */
	private String caOrgType;
	/**
	 * 签名原值
	 */
	private	String signOriVal;
	
	/**
	 * CA签名值
	 */
	private String signatureValue;
	/**
	 * 公钥证书
	 */
	private String pubCert;
	/**
	 * 加密算法
	 */
	private String algorithm;
	
	/**
	 * 授权码（用于调用app服务端其他接口）
	 */
	private String accessToken;
	
	/**
	 * 是否进行人脸识   00否 01是
	 */
	private String needFaceAuth;
	/**
	 * 认证类型 01人面像 02身份证正反面
	 */
	private String authImageType;
 	
	
}
