package com.gx.obe.server.management.struct_new.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author mazc
 * @Description:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("obe_certificate")
public class ObeCertificate extends Model<ObeCertificate> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("ID")
    private String id;
    /**
     * 项目ID
     */
    @TableField("TENDER_ID")
    private String tenderId;
    /**
     * 项目负责人ID
     */
    @TableField("PROJECT_LEADER_ID")
    private String projectLeaderId;
    /**
     * 证书名称
     */
    @TableField("CERTIFICATE_NAME")
    private String certificateName;
    /**
     * 序号
     */
    @TableField("SORT_NO")
    private Integer sortNo;
    /**
     * 证书编号
     */
    @TableField("CERTIFICATE_NO")
    private String certificateNo;
    /**
     * 证书等级
     */
    @TableField("CERTIFICATE_LEVEL")
    private String certificateLevel;

}