package com.gx.obe.server.management.struct_new.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author mazc
 * @Description:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("obe_template_data_item")
public class ObeTemplateDataItem extends Model<ObeTemplateDataItem> {

    private static final long serialVersionUID = 1L;

    @TableId("ID")
    private String id;
    @TableField("TENDER_ID")
    private String tenderId;
    @TableField("SUPPLIER_ID")
    private String supplierId;
    @TableField("REL_CHAPTER_TYPE")
    private String relChapterType;
    @TableField("DATA_CODE")
    private String dataCode;
    @TableField("NAME")
    private String name;
    @TableField("VALUE")
    private String value;
    @TableField("TYPE")
    private String type;
    @TableField("DATA_TYPE")
    private String dataType;
    @TableField("UNIT")
    private String unit;

}