package com.gx.obe.server.management.struct_new.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.struct_new.entity.ObeQualification;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
public interface ObeQualificationService extends IService<ObeQualification> {

    /**
     * @param ObeQualificationList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateByBatch(List<ObeQualification> ObeQualificationList);

    /**
     * @param ObeQualificationList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(List<ObeQualification> ObeQualificationList);

    /**
     * @param ObeQualification
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    boolean updateAssignProperty(ObeQualification ObeQualification, String[] attributes);

    /**
     * @param ObeQualificationList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(List<ObeQualification> ObeQualificationList, String[] attributes);

    /**
     * @param ObeQualificationList
     * @param attributes
     * @return
     * @Description: 批量添加或跟新
     * @author chenxw
     */
    Integer batchSaveOrUpdate(List<ObeQualification> ObeQualificationList, String[] attributes);

    /**
     * @param tenderId
     * @param modelDataId
     * @return
     * @Description: 获取证书列表
     * @author chenxw
     */
    List<ObeQualification> getQualificationList(String tenderId, String modelDataId);
}



