package com.gx.obe.server.management.user.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.user.entity.CaBinding;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface CaBindingMapper extends BaseMapper<CaBinding> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeCaBindingList 
	 */
	Integer updateBatchList (@Param("ObeCaBindingList") List<CaBinding> ObeCaBindingList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeCaBindingList 
	 */
	Integer insertByBatch (@Param("ObeCaBindingList")List<CaBinding> ObeCaBindingList);

}