package com.gx.obe.server.tripartitefunction.bidata.vo;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonProperty;

/** 
 * @Description: 动产抵押-基本信息 ,
 * @author mazc 
 */
public class Mortgagebasic implements Serializable {

    /**
	 * 
	 */
	private static final long serialVersionUID = -4688439222160711324L;
	/**
	 * 登记编号 ,
	 */
	@JsonProperty("MAB_REGNO")
    private String MAB_REGNO;
    /**
     * 登记日期 ,
     */
    @JsonProperty("MAB_REG_DATE")
    private String MAB_REG_DATE;
    /**
     * 登记机关 ,
     */
    @JsonProperty("MAB_REG_ORG")
    private String MAB_REG_ORG;
    /**
     *  被担保债权数额 ,
     */
    @JsonProperty("MAB_GUAR_AMT")
    private String MAB_GUAR_AMT;
    /**
     *  状态 ,
     */
    @JsonProperty("MAB_STATUS")
    private String MAB_STATUS;
    /**
     * 公示日期 ,
     */
    @JsonProperty("MAB_GS_DATE")
    private String MAB_GS_DATE;
    /**
     *  详情
     */
    @JsonProperty("MAB_DETAILS")
    private String MAB_DETAILS;
	public String getMAB_REGNO() {
		return MAB_REGNO;
	}
	public void setMAB_REGNO(String mAB_REGNO) {
		MAB_REGNO = mAB_REGNO;
	}
	public String getMAB_REG_DATE() {
		return MAB_REG_DATE;
	}
	public void setMAB_REG_DATE(String mAB_REG_DATE) {
		MAB_REG_DATE = mAB_REG_DATE;
	}
	public String getMAB_REG_ORG() {
		return MAB_REG_ORG;
	}
	public void setMAB_REG_ORG(String mAB_REG_ORG) {
		MAB_REG_ORG = mAB_REG_ORG;
	}
	public String getMAB_GUAR_AMT() {
		return MAB_GUAR_AMT;
	}
	public void setMAB_GUAR_AMT(String mAB_GUAR_AMT) {
		MAB_GUAR_AMT = mAB_GUAR_AMT;
	}
	public String getMAB_STATUS() {
		return MAB_STATUS;
	}
	public void setMAB_STATUS(String mAB_STATUS) {
		MAB_STATUS = mAB_STATUS;
	}
	public String getMAB_GS_DATE() {
		return MAB_GS_DATE;
	}
	public void setMAB_GS_DATE(String mAB_GS_DATE) {
		MAB_GS_DATE = mAB_GS_DATE;
	}
	public String getMAB_DETAILS() {
		return MAB_DETAILS;
	}
	public void setMAB_DETAILS(String mAB_DETAILS) {
		MAB_DETAILS = mAB_DETAILS;
	}
   
}