package com.gx.obe.server.im.util;

import java.io.BufferedReader;
import java.io.ByteArrayInputStream;
import java.io.File;
import java.io.FileReader;
import java.text.DecimalFormat;

import org.dom4j.Document;
import org.dom4j.Element;
import org.dom4j.io.SAXReader;


/**
 * @Description:
 * @Description:
 * @author guoyr
 */
public class ChatUtil {
	 private static DecimalFormat fmt = new DecimalFormat("#0.00"); 
		
	 public static String getSpeed(double size){
		 String unit = "KB/S";
		 if(size > (1024*1024)){
				unit = "MB/S";
				size = (double)size/(1024*1024);
			}else if(size > (1024)){
				unit = "KB/S";
				size = (double)size/(1024);
			}else {
				unit = "字节/S";
			}
		 return fmt.format(size) + unit;
	 }
	 

		
		/**
		 * @Description:  读取缓存信息
		 * @author guoyr
		 * @param filePath
		 * @return
		 */
		public static String[] getCache(String filePath){
			 File file = new File(filePath + File.separator + "cache");
			 String[] nameAndPwd = new String[]{"","",""};
			 try {
				if(null != file && file.exists()){
					BufferedReader in = new BufferedReader(new FileReader(file));
					StringBuffer text = new StringBuffer();
					char buf[] = new char[1024];
					int j;
					while ((j = in.read(buf)) >= 0) {
						for (int i = 0; i < j; i++) {
							char ch = buf[i];
							// 如果使用LicenseUtil.decodeBase64，则必须用以下方法
//							if (Character.isLetter(ch) || Character.isDigit(ch)
//									|| ch == '+' || ch == '/' || ch == '=') {
//								text.append(ch);
//							}
							text.append(ch);
						}

					}
					in.close();
						String accountAndPwd = text.toString();//LicenseUtil.decodeBase64(text.toString());// 解码
						SAXReader saxReader = new SAXReader();
						Document document = saxReader.read(new ByteArrayInputStream(accountAndPwd.getBytes()));
						Element rootElement = document.getRootElement();
						nameAndPwd[0] = (ObjectUtil.getObjString(rootElement.elementText("userName")));
						nameAndPwd[1] = (ObjectUtil.getObjString(rootElement.elementText("password")));
						File avatrFile = new File(ObjectUtil.getObjString(rootElement.elementText("avatar")));
						if(null != avatrFile && avatrFile.exists()){
							nameAndPwd[2] = avatrFile.getAbsolutePath() ;
						}else {
							nameAndPwd[2] = "";
						}
					}
			} catch (Exception e) {
			}
			 return nameAndPwd;
		 }
		 
}
