package com.gx.obe.server.management.dictionary.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.dictionary.entity.TemplateLibrary;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface TemplateLibraryMapper extends BaseMapper<TemplateLibrary> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeTemplateLibraryList 
	 */
	Integer updateBatchList (@Param("ObeTemplateLibraryList") List<TemplateLibrary> ObeTemplateLibraryList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeTemplateLibraryList 
	 */
	Integer insertByBatch (@Param("ObeTemplateLibraryList")List<TemplateLibrary> ObeTemplateLibraryList);

}