package com.gx.obe.server.management.editprice.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.editprice.entity.EditPriceItem;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface EditPriceItemService extends IService<EditPriceItem> {
 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeEditPriceItemList 
	 */
 	Integer updateByBatch (List<EditPriceItem> ObeEditPriceItemList);
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeEditPriceItemList 
	 */
	Integer insertByBatch (List<EditPriceItem> ObeEditPriceItemList);
	
	
	/**
	 * @Description: 获取偏离性条款修正报价项
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	EditPriceItem getDeviateCaluseEditPriceItem(String tenderId);
	
	
	List<EditPriceItem> getEditPriceItemList(String tenderId);
	
	Integer batchSaveOrUpdate(List<EditPriceItem> editPriceItemResultList, String[] attributes);
	
	 boolean saveEditPriceItemList(List<EditPriceItem> editPriceItemList, List<EditPriceItem> removeList);
}



