package com.gx.obe.server.management.evaluation.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gx.obe.server.management.evaluation.service.EvaluationStepFactorService;

import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;

/** 
 * @Description: 
 * @author mazc 
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/evaluationStepFactor")
public class EvaluationStepFactorController {
	
	@Autowired
	private EvaluationStepFactorService evaluationStepFactorService;
	
	@GetMapping("/getFactorIdLsitByStepId")
	public List<Object> getFactorIdLsitByStepId(String stepId){
		return evaluationStepFactorService.getFactorIdLsitByStepId(stepId);
	}
}