package com.gx.obe.server.management.expert.entity;

import java.io.Serializable;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
/** 
 * @Description: 
 * @author mazc 
 */

@TableName("obe_expert_evaluation_result")
public class ExpertEvaluationResult extends Model<ExpertEvaluationResult> {
	private static final long serialVersionUID=1L;

    /**
     * 专家评标结果主键
     */
            @TableId("EXPERT_EVALUATION_RESULT_ID")
                private String id;
    /**
     * 评标步骤外键
     */
    @TableField("STEP_ID")
        private String stepId;
    /**
     * 项目外键
     */
    @TableField("TENDER_ID")
        private String tenderId;
    /**
     * 评审成员外键
     */
    @TableField("USER_ID")
        private String userId;
    /**
     * 投标人外键
     */
    @TableField("SUPPLIER_ID")
        private String supplierId;
    /**
     * 专家对投标人的评审意见
     */
    @TableField("SUPPLIER_OPINION")
        private String supplierOpinion;
    /**
     * 最终得分
     */
    @TableField("EVALUATION_FINAL_SCORE")
        private BigDecimal evaluationFinalScore;
    /**
     * 评审得分
     */
    @TableField("EVALUATION_SCORE")
        private BigDecimal evaluationScore;
    /**
     * 评审结论
     */
    @TableField("ACCESSMENT")
        private String accessment;
    /**
     * 排序
     */
    @TableField("SORT_NO")
        private Integer sortNo;
    /**
     * 评标结果
     */
    @TableField("RESULT")
        private byte[] result;


 
    public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getStepId(){
        return stepId;
        }

        public void setStepId(String stepId) {
        this.stepId = stepId;
        }

    public String getTenderId(){
        return tenderId;
        }

        public void setTenderId(String tenderId) {
        this.tenderId = tenderId;
        }

    public String getUserId(){
        return userId;
        }

        public void setUserId(String userId) {
        this.userId = userId;
        }

    public String getSupplierId(){
        return supplierId;
        }

        public void setSupplierId(String supplierId) {
        this.supplierId = supplierId;
        }

    public String getSupplierOpinion(){
        return supplierOpinion;
        }

        public void setSupplierOpinion(String supplierOpinion) {
        this.supplierOpinion = supplierOpinion;
        }

    public BigDecimal getEvaluationFinalScore(){
        return evaluationFinalScore;
        }

        public void setEvaluationFinalScore(BigDecimal evaluationFinalScore) {
        this.evaluationFinalScore = evaluationFinalScore;
        }

    public BigDecimal getEvaluationScore(){
        return evaluationScore;
        }

        public void setEvaluationScore(BigDecimal evaluationScore) {
        this.evaluationScore = evaluationScore;
        }

    public String getAccessment(){
        return accessment;
        }

        public void setAccessment(String accessment) {
        this.accessment = accessment;
        }

    public Integer getSortNo(){
        return sortNo;
        }

        public void setSortNo(Integer sortNo) {
        this.sortNo = sortNo;
        }

    public byte[] getResult(){
        return result;
        }

        public void setResult(byte[] result) {
        this.result = result;
        }

    public static final String EXPERT_EVALUATION_RESULT_ID ="EXPERT_EVALUATION_RESULT_ID";

    public static final String STEP_ID ="STEP_ID";

    public static final String TENDER_ID ="TENDER_ID";

    public static final String USER_ID ="USER_ID";

    public static final String SUPPLIER_ID ="SUPPLIER_ID";

    public static final String SUPPLIER_OPINION ="SUPPLIER_OPINION";

    public static final String EVALUATION_FINAL_SCORE ="EVALUATION_FINAL_SCORE";

    public static final String EVALUATION_SCORE ="EVALUATION_SCORE";

    public static final String ACCESSMENT ="ACCESSMENT";

    public static final String SORT_NO ="SORT_NO";

    public static final String RESULT ="RESULT";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() {//expertEvaluationResultId
    return "ExpertEvaluationResult{" +
            ", id=" + id +
            ", stepId=" + stepId +
            ", tenderId=" + tenderId +
            ", userId=" + userId +
            ", supplierId=" + supplierId +
            ", supplierOpinion=" + supplierOpinion +
            ", evaluationFinalScore=" + evaluationFinalScore +
            ", evaluationScore=" + evaluationScore +
            ", accessment=" + accessment +
            ", sortNo=" + sortNo +
            ", result=" + result +
    "}";
    }
    }
