package com.gx.obe.server.management.fileload.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gx.obe.server.management.fileload.service.DeleteFileService;

@RestController
@RequestMapping("/deleteFile")
public class DeleteFileController {
	
    @Value("${upload.folder}")
    private String uploadFolder;
    
    @Autowired
    private DeleteFileService deleteFileService;
    
    /**
     * @Description: 删除文件
     * @author mazc
     * @param tenderId
     * @param supplierId
     * @param fileType
     * @param fileName
     * @return 
     */
    @PostMapping("/deleteFileName")
    public boolean deleteFile(String tenderId,String supplierId, String fileType,String fileName) {
		return deleteFileService.deleteFile(uploadFolder, tenderId, supplierId, fileType, fileName);
    }
    

}
