package com.gx.obe.server.management.im.controller;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.im.entity.EmployeeDepartment;
import com.gx.obe.server.management.im.service.EmployeeDepartmentService;

import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
/** 
 * @Description: 
 * @author mazc 
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/employeeDepartment")
public class EmployeeDepartmentController extends BaseController<EmployeeDepartmentService,EmployeeDepartment>{
	@Autowired
	public EmployeeDepartmentService EmployeeDepartmentServices;
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param EmployeeDepartmentList 
	 */
	@PostMapping("/insertByBatch")
	public int insertByBatch(@RequestBody List<EmployeeDepartment> EmployeeDepartmentList) {
		return EmployeeDepartmentServices.insertByBatch(EmployeeDepartmentList);
	}
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param EmployeeDepartmentList 
	 */
	@PostMapping("/updateByBatch")
	public int updateByBatch(@RequestBody List<EmployeeDepartment> EmployeeDepartmentList) {
		return EmployeeDepartmentServices.updateByBatch(EmployeeDepartmentList);
	}

}