package com.gx.obe.server.management.im.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import lombok.Data;

/** 
 * @Description: 
 * @author mazc 
 */
@TableName("chat_record")
@Data
public class ChatRecord extends Model<ChatRecord> {

	private static final long serialVersionUID = 1L;

	@TableId("RECORD_ID")
	private String id;
	@TableField("SEND_ID")
	private String sendId;
	@TableField("RECEIVE_ID")
	private String receiveId;
	@TableField("SEND_TIME")
	private Date sendTime;
	@TableField("MSG_CONTENT")
	private byte[] msgContent;
	@TableField("FIRST_LENGTH")
	private Integer firstLength;
	@TableField("GROUP_ID")
	private String groupId;
	@TableField("NOTICE_ID")
	private String noticeId;

    public static final String RECORD_ID ="RECORD_ID";
	
    public static final String SEND_ID ="SEND_ID";
	
    public static final String RECEIVE_ID ="RECEIVE_ID";
	
    public static final String SEND_TIME ="SEND_TIME";
	
    public static final String MSG_CONTENT ="MSG_CONTENT";
	
    public static final String FIRST_LENGTH ="FIRST_LENGTH";
	
    public static final String GROUP_ID ="GROUP_ID";
    
    public static final String NOTICE_ID ="NOTICE_ID";
	
	@Override
	protected Serializable pkVal(){
        return this.id;
    }

}