package com.gx.obe.server.management.negotiation.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
/** 
 * @Description: 
 * @author mazc 
 */

@TableName("obe_negotiation")
public class Negotiation extends Model<Negotiation> {
	private static final long serialVersionUID=1L;

    /**
     * 主键
     */
            @TableId("NEGOTIATION_ID")
                private String id;
    /**
     * 招标项目外键
     */
    @TableField("TENDER_ID")
        private String tenderId;
    /**
     * 评标步骤外键
     */
    @TableField("STEP_ID")
        private String stepId;
    /**
     * 父级外键
     */
    @TableField("PARENT_ID")
        private String parentId;
    /**
     * 谈判编号
     */
    @TableField("NEGOTIATION_CODE")
        private String negotiationCode;
    /**
     * 谈判主题
     */
    @TableField("NEGOTIATION_NAME")
        private String negotiationName;
    /**
     * 备注
     */
    @TableField("MEMO")
        private String memo;
    /**
     * 选项
     */
    @TableField("OPTIONS")
        private String options;
    /**
     * 排序
     */
    @TableField("SORT_NO")
        private Integer sortNo;
    @TableField("RECOMMEND_RECORD")
        private String recommendRecord;
    @TableField("RECOMMEND_RECORD3")
        private String recommendRecord3;
    @TableField("RECOMMEND_RECORD4")
        private String recommendRecord4;
    @TableField("RECOMMEND_RECORD6")
        private String recommendRecord6;
    @TableField("RECOMMEND_RECORD8")
        private String recommendRecord8;

 

    public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getTenderId(){
        return tenderId;
        }

        public void setTenderId(String tenderId) {
        this.tenderId = tenderId;
        }

    public String getStepId(){
        return stepId;
        }

        public void setStepId(String stepId) {
        this.stepId = stepId;
        }

    public String getParentId(){
        return parentId;
        }

        public void setParentId(String parentId) {
        this.parentId = parentId;
        }

    public String getNegotiationCode(){
        return negotiationCode;
        }

        public void setNegotiationCode(String negotiationCode) {
        this.negotiationCode = negotiationCode;
        }

    public String getNegotiationName(){
        return negotiationName;
        }

        public void setNegotiationName(String negotiationName) {
        this.negotiationName = negotiationName;
        }

    public String getMemo(){
        return memo;
        }

        public void setMemo(String memo) {
        this.memo = memo;
        }

    public String getOptions(){
        return options;
        }

        public void setOptions(String options) {
        this.options = options;
        }

    public Integer getSortNo(){
        return sortNo;
        }

        public void setSortNo(Integer sortNo) {
        this.sortNo = sortNo;
        }

    public String getRecommendRecord(){
        return recommendRecord;
        }

        public void setRecommendRecord(String recommendRecord) {
        this.recommendRecord = recommendRecord;
        }

    public String getRecommendRecord3(){
        return recommendRecord3;
        }

        public void setRecommendRecord3(String recommendRecord3) {
        this.recommendRecord3 = recommendRecord3;
        }

    public String getRecommendRecord4(){
        return recommendRecord4;
        }

        public void setRecommendRecord4(String recommendRecord4) {
        this.recommendRecord4 = recommendRecord4;
        }

    public String getRecommendRecord6(){
        return recommendRecord6;
        }

        public void setRecommendRecord6(String recommendRecord6) {
        this.recommendRecord6 = recommendRecord6;
        }

    public String getRecommendRecord8(){
        return recommendRecord8;
        }

        public void setRecommendRecord8(String recommendRecord8) {
        this.recommendRecord8 = recommendRecord8;
        }

    public static final String NEGOTIATION_ID ="NEGOTIATION_ID";

    public static final String TENDER_ID ="TENDER_ID";

    public static final String STEP_ID ="STEP_ID";

    public static final String PARENT_ID ="PARENT_ID";

    public static final String NEGOTIATION_CODE ="NEGOTIATION_CODE";

    public static final String NEGOTIATION_NAME ="NEGOTIATION_NAME";

    public static final String MEMO ="MEMO";

    public static final String OPTIONS ="OPTIONS";

    public static final String SORT_NO ="SORT_NO";

    public static final String RECOMMEND_RECORD ="RECOMMEND_RECORD";

    public static final String RECOMMEND_RECORD3 ="RECOMMEND_RECORD3";

    public static final String RECOMMEND_RECORD4 ="RECOMMEND_RECORD4";

    public static final String RECOMMEND_RECORD6 ="RECOMMEND_RECORD6";

    public static final String RECOMMEND_RECORD8 ="RECOMMEND_RECORD8";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() {//negotiationId
    return "Negotiation{" +
            ", id=" + id +
            ", tenderId=" + tenderId +
            ", stepId=" + stepId +
            ", parentId=" + parentId +
            ", negotiationCode=" + negotiationCode +
            ", negotiationName=" + negotiationName +
            ", memo=" + memo +
            ", options=" + options +
            ", sortNo=" + sortNo +
            ", recommendRecord=" + recommendRecord +
            ", recommendRecord3=" + recommendRecord3 +
            ", recommendRecord4=" + recommendRecord4 +
            ", recommendRecord6=" + recommendRecord6 +
            ", recommendRecord8=" + recommendRecord8 +
    "}";
    }
    }
