package com.gx.obe.server.management.other.entity;

import java.io.Serializable;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

/**
 * @Description:
 * @author mazc
 */

@TableName("obe_vatitem")
public class TaxVATItem extends Model<TaxVATItem> {
	private static final long serialVersionUID = 1L;

	@TableId("VATITEM_ID")
	private String id;
	@TableField("ITEM_NAME")
	private String itemName;
	@TableField("PRICE")
	private BigDecimal price;
	@TableField("PARENT_ID")
	private String parentId;
	@TableField("PROJECT_ID")
	private String projectId;
	/**
	 * 序号
	 */
	@TableField("SORT_NO")
	private Integer sortNo;

	@TableField("NUMBER")
	private String number;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getItemName() {
		return itemName;
	}

	public void setItemName(String itemName) {
		this.itemName = itemName;
	}

	public BigDecimal getPrice() {
		return price;
	}

	public void setPrice(BigDecimal price) {
		this.price = price;
	}

	public String getParentId() {
		return parentId;
	}

	public void setParentId(String parentId) {
		this.parentId = parentId;
	}

	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}

	public Integer getSortNo() {
		return sortNo;
	}

	public void setSortNo(Integer sortNo) {
		this.sortNo = sortNo;
	}

	public String getNumber() {
		return number;
	}

	public void setNumber(String number) {
		this.number = number;
	}

	public static final String VATITEM_ID = "VATITEM_ID";

	public static final String ITEM_NAME = "ITEM_NAME";

	public static final String PRICE = "PRICE";

	public static final String PARENT_ID = "PARENT_ID";

	public static final String PROJECT_ID = "PROJECT_ID";

	public static final String SORT_NO = "SORT_NO";

	public static final String NUMBER = "NUMBER";

	@Override
	protected Serializable pkVal() {
		return this.id;
	}

	@Override
	public String toString() {
		return "TaxVATItem{" + ", id=" + id + ", itemName=" + itemName + ", price=" + price + ", parentId=" + parentId
				+ ", projectId=" + projectId + ", sortNo=" + sortNo + ", number=" + number + "}";
	}
}
