package com.gx.obe.server.management.price.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.price.entity.BidPriceRoundStatus;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;

/** 
 * @Description: 
 * @author mazc 
 */
@Mapper
public interface ObeBidPriceRoundStatusMapper extends BaseMapper<BidPriceRoundStatus> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeBidPriceRoundStatusList 
	 */
	Integer updateBatchList(@Param("ObeBidPriceRoundStatusList") List<BidPriceRoundStatus> ObeBidPriceRoundStatusList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeBidPriceRoundStatusList 
	 */
	Integer insertByBatch(@Param("ObeBidPriceRoundStatusList") List<BidPriceRoundStatus> ObeBidPriceRoundStatusList);

	/**
     * @Description: 指定字段修改
     * @author chenxw
     * @param BidPriceRoundStatus
	 * @param attributes
     */
    Integer updateAssignProperty(@Param("BidPriceRoundStatus")BidPriceRoundStatus BidPriceRoundStatus, @Param("attributes")String[] attributes);
    
    /**
     * @Description: 批量指定字段修改
     * @author chenxw
     * @param ObeBidPriceRoundStatusList
	 * @param attributes
     */
    Integer batchUpdateProperty(@Param("ObeBidPriceRoundStatusList")List<BidPriceRoundStatus> ObeBidPriceRoundStatusList, @Param("attributes")String[] attributes);

}