package com.gx.obe.server.management.price.service;

import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;
import com.gx.obe.server.management.price.entity.BidPriceRoundStatus;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface ObeBidPriceRoundStatusService extends IService<BidPriceRoundStatus> {

 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeBidPriceRoundStatusList 
	 */
 	Integer updateByBatch(List<BidPriceRoundStatus> ObeBidPriceRoundStatusList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeBidPriceRoundStatusList 
	 */
	Integer insertByBatch(List<BidPriceRoundStatus> ObeBidPriceRoundStatusList);
	
	/**
     * @Description: 指定字段修改
     * @author chenxw
     * @param BidPriceRoundStatus
	 * @param attributes
     */
    boolean updateAssignProperty(BidPriceRoundStatus BidPriceRoundStatus, String[] attributes);
    
    /**
     * @Description: 批量指定字段修改
     * @author chenxw
     * @param ObeBidPriceRoundStatusList
	 * @param attributes
     */
    Integer batchUpdateProperty(List<BidPriceRoundStatus> ObeBidPriceRoundStatusList, String[] attributes);
	
	/** 
	 * @Description: 批量添加或跟新
	 * @author chenxw
	 * @param ObeBidPriceRoundStatusList
	 * @param attributes
	 * @return 
	 */
    Integer batchSaveOrUpdate(List<BidPriceRoundStatus> ObeBidPriceRoundStatusList, String[] attributes);
	
}



