package com.gx.obe.server.management.project.service;

import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;
import com.gx.obe.server.management.project.entity.BillTableProjectResult;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface BillTableProjectResultService extends IService<BillTableProjectResult> {
 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeBillTableProjectResultList 
	 */
 	Integer updateByBatch (List<BillTableProjectResult> ObeBillTableProjectResultList);
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeBillTableProjectResultList 
	 */
	Integer insertByBatch (List<BillTableProjectResult> ObeBillTableProjectResultList);
	
	/**
	 * @Description: 保存或更新
	 * @author mazc
	 * @param workMemberList
	 * @return 
	 */
	int batchSaveOrUpdate(List<BillTableProjectResult> billTableProjectResultList);
	
	/**
	 * @Description: 获取分部分项清单结果
	 * @author mazc
	 * @param tenderId
	 * @param dxProjectCode
	 * @param dwProjectCode
	 * @param billCode
	 * @param userId
	 * @return 
	 */
	List<BillTableProjectResult> getBillTableProjectResult(String tenderId, String dxProjectCode, String dwProjectCode, String billCode, String userId);
}



