package com.gx.obe.server.management.struct_new.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.struct_new.entity.ObeAttachmentFile;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Mapper
public interface ObeAttachmentFileMapper extends BaseMapper<ObeAttachmentFile> {

    /**
     * @param ObeAttachmentFileList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateBatchList(@Param("ObeAttachmentFileList") List<ObeAttachmentFile> ObeAttachmentFileList);

    /**
     * @param ObeAttachmentFileList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(@Param("ObeAttachmentFileList") List<ObeAttachmentFile> ObeAttachmentFileList);

    /**
     * @param ObeAttachmentFile
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    Integer updateAssignProperty(@Param("ObeAttachmentFile") ObeAttachmentFile ObeAttachmentFile, @Param("attributes") String[] attributes);

    /**
     * @param ObeAttachmentFileList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(@Param("ObeAttachmentFileList") List<ObeAttachmentFile> ObeAttachmentFileList, @Param("attributes") String[] attributes);

}