package com.gx.obe.server.management.struct_new.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.struct_new.entity.ObeEvaluationContent;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author chenxw
 * @Description:
 */
@Mapper
public interface ObeEvaluationContentMapper extends BaseMapper<ObeEvaluationContent> {

    /**
     * @param ObeEvaluationContentList
     * @Description: 批量更新
     * @author chenxw
     */
    Integer updateBatchList(@Param("ObeEvaluationContentList") List<ObeEvaluationContent> ObeEvaluationContentList);

    /**
     * @param ObeEvaluationContentList
     * @Description: 批量插入
     * @author chenxw
     */
    Integer insertByBatch(@Param("ObeEvaluationContentList") List<ObeEvaluationContent> ObeEvaluationContentList);

    /**
     * @param ObeEvaluationContent
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    Integer updateAssignProperty(@Param("ObeEvaluationContent") ObeEvaluationContent ObeEvaluationContent, @Param("attributes") String[] attributes);

    /**
     * @param ObeEvaluationContentList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(@Param("ObeEvaluationContentList") List<ObeEvaluationContent> ObeEvaluationContentList, @Param("attributes") String[] attributes);

}