package com.gx.obe.server.management.struct_new.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.struct_new.entity.ObeProjectLeader;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Mapper
public interface ObeProjectLeaderMapper extends BaseMapper<ObeProjectLeader> {

    /**
     * @param ObeProjectLeaderList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateBatchList(@Param("ObeProjectLeaderList") List<ObeProjectLeader> ObeProjectLeaderList);

    /**
     * @param ObeProjectLeaderList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(@Param("ObeProjectLeaderList") List<ObeProjectLeader> ObeProjectLeaderList);

    /**
     * @param ObeProjectLeader
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    Integer updateAssignProperty(@Param("ObeProjectLeader") ObeProjectLeader ObeProjectLeader, @Param("attributes") String[] attributes);

    /**
     * @param ObeProjectLeaderList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(@Param("ObeProjectLeaderList") List<ObeProjectLeader> ObeProjectLeaderList, @Param("attributes") String[] attributes);

}