package com.gx.obe.server.management.struct_new.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.struct_new.entity.ObeBidderBasicInfo;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
public interface ObeBidderBasicInfoService extends IService<ObeBidderBasicInfo> {

    /**
     * @param ObeBidderBasicInfoList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateByBatch(List<ObeBidderBasicInfo> ObeBidderBasicInfoList);

    /**
     * @param ObeBidderBasicInfoList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(List<ObeBidderBasicInfo> ObeBidderBasicInfoList);

    /**
     * @param ObeBidderBasicInfo
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    boolean updateAssignProperty(ObeBidderBasicInfo ObeBidderBasicInfo, String[] attributes);

    /**
     * @param ObeBidderBasicInfoList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(List<ObeBidderBasicInfo> ObeBidderBasicInfoList, String[] attributes);

    /**
     * @param ObeBidderBasicInfoList
     * @param attributes
     * @return
     * @Description: 批量添加或跟新
     * @author chenxw
     */
    Integer batchSaveOrUpdate(List<ObeBidderBasicInfo> ObeBidderBasicInfoList, String[] attributes);

    /**
     * @param tenderId
     * @param modelDataId
     * @return
     * @Description: 获取投标人基本情况列表
     * @author chenxw
     */
    List<ObeBidderBasicInfo> getBidderBasicInfoList(String tenderId, String modelDataId);

}



