package com.gx.obe.server.management.struct_new.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.struct_new.entity.ObePerformance;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
public interface ObePerformanceService extends IService<ObePerformance> {

    /**
     * @param ObePerformanceList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateByBatch(List<ObePerformance> ObePerformanceList);

    /**
     * @param ObePerformanceList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(List<ObePerformance> ObePerformanceList);

    /**
     * @param ObePerformance
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    boolean updateAssignProperty(ObePerformance ObePerformance, String[] attributes);

    /**
     * @param ObePerformanceList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(List<ObePerformance> ObePerformanceList, String[] attributes);

    /**
     * @param ObePerformanceList
     * @param attributes
     * @return
     * @Description: 批量添加或跟新
     * @author chenxw
     */
    Integer batchSaveOrUpdate(List<ObePerformance> ObePerformanceList, String[] attributes);

    /**
     * @param tenderId
     * @param modelDataId
     * @return
     * @Description: 获取业绩列表
     * @author chenxw
     */
    List<ObePerformance> getPerformanceList(String tenderId, String modelDataId, String statue);

}



