package com.gx.obe.server.management.table.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author mazc
 * @Description:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("obe_bid_price_table_title")
public class ObeBidPriceTableTitle extends Model<ObeBidPriceTableTitle> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("ID")
    private String id;
    /**
     * 项目ID
     */
    @TableField("TENDER_ID")
    private String tenderId;
    /**
     * 供应商ID
     */
    @TableField("SUPPLIER_ID")
    private String supplierId;
    /**
     * 报价明细表ID
     */
    @TableField("PRICE_TABLE_ID")
    private String priceTableId;
    /**
     * 表头名称
     */
    @TableField("TITLE_NAME")
    private String titleName;
    /**
     * 宽度
     */
    @TableField("WIDTH")
    private String width;
    /**
     * 列类型
     */
    @TableField("COL_TYPE")
    private String colType;
    /**
     * 内容对齐方式
     */
    @TableField("CONTENT_ALIGNMENT")
    private String contentAlignment;
    /**
     * 可见
     */
    @TableField("VISIBLE")
    private Boolean visible;
    /**
     * 排序
     */
    @TableField("SORT_NO")
    private Integer sortNo;

}