package com.gx.obe.server.tripartitefunction.bidata.vo;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonProperty;

/** 
 * @Description: 动产抵押-注销信息 ,
 * @author mazc 
 */
public class Mortgagecan implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -4836476797128831951L;
	/**
	 * : 登记编号 ,
	 */
	@JsonProperty("MAB_REGNO")
	private String MAB_REGNO;
	/**
	 * 注销日期 ,
	 */
	@JsonProperty("MAB_CAN_DATE")
	private String MAB_CAN_DATE;
	/**
	 * 注销原因 ,
	 */
	@JsonProperty("MAB_CAN_RES")
	private String MAB_CAN_RES;
	/**
	 * 采集地址
	 */
	@JsonProperty("MAB_CAN_URL")
	private String MAB_CAN_URL;

	public String getMAB_REGNO() {
		return MAB_REGNO;
	}

	public void setMAB_REGNO(String mAB_REGNO) {
		MAB_REGNO = mAB_REGNO;
	}

	public String getMAB_CAN_DATE() {
		return MAB_CAN_DATE;
	}

	public void setMAB_CAN_DATE(String mAB_CAN_DATE) {
		MAB_CAN_DATE = mAB_CAN_DATE;
	}

	public String getMAB_CAN_RES() {
		return MAB_CAN_RES;
	}

	public void setMAB_CAN_RES(String mAB_CAN_RES) {
		MAB_CAN_RES = mAB_CAN_RES;
	}

	public String getMAB_CAN_URL() {
		return MAB_CAN_URL;
	}

	public void setMAB_CAN_URL(String mAB_CAN_URL) {
		MAB_CAN_URL = mAB_CAN_URL;
	}

}